PUT
/admin/profileUpdate the admin profile
Updates the profile for the authenticated user's admin account. Use email to set the account email and allow_api_key_auth to control whether API keys can be used to impersonate this admin.
Profile settings to update for the authenticated user's admin account.
allow_api_key_authbooleanoptional
If enabled, you can impersonate this admin, in REST API, using an API key. If disabled admin credentials are required for impersonation
descriptionstringoptional
A description for the admin profile.
emailstringoptional
The admin's email address, in a valid email format.
200Returns a JSON object with `error` and `message` fields.
errorstringoptional
error description if any
messagestringoptional
message, can be empty
400Returned when the request is invalid. The response includes `error` and `message` fields.
errorstringoptional
error description if any
messagestringoptional
message, can be empty
401Returned when the request is unauthorized. The response includes `error` and `message` fields.
errorstringoptional
error description if any
messagestringoptional
message, can be empty
403Returned when the operation is forbidden. The response includes `error` and `message` fields.
errorstringoptional
error description if any
messagestringoptional
message, can be empty
409Returned when the profile update conflicts with the current state. The response includes `error` and `message` fields.
errorstringoptional
error description if any
messagestringoptional
message, can be empty
500Returned when an internal server error occurs. The response includes `error` and `message` fields.
errorstringoptional
error description if any
messagestringoptional
message, can be empty
defaultUnexpected Error
errorstringoptional
error description if any
messagestringoptional
message, can be empty
Error handling
A 400 is returned for a bad request; a 401 when the request is unauthorized; a 403 when the operation is forbidden; a 409 when the update conflicts with the current state; and a 500 when an internal server error occurs. email must use a valid email format, and allow_api_key_auth must be a boolean.